# Uses of Interface
java.lang.classfile.attribute.StackMapTableAttribute

Packages that use StackMapTableAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of StackMapTableAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type StackMapTableAttribute
Modifier and Type
Method
Description
`static AttributeMapper<StackMapTableAttribute>`
Attributes.`stackMapTable()`
Returns the mapper for the `StackMapTable` attribute.

## Uses of StackMapTableAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type StackMapTableAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`StackMapTableAttribute`
Models the `StackMapTable` attribute (JVMS 4.7.4), which is used for verification by type checking (4.10.1).
Methods in java.lang.classfile.attribute that return StackMapTableAttribute
Modifier and Type
Method
Description
`static StackMapTableAttribute`
StackMapTableAttribute.`of(List<StackMapFrameInfo> entries)`
Returns a stack map table attribute.